This service will be undergoing non-disruptive maintenance at 07:20 UTC, 2018-12-14. It is expected to last approximately 30 minutes
Bug 796464 - jboss-marshalling should not depend on OpenJDK 6
Summary: jboss-marshalling should not depend on OpenJDK 6
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: jboss-marshalling (Show other bugs)
(Show other bugs)
Version: 17
Hardware: Unspecified Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Marek Goldmann
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-02-22 22:59 UTC by Danesh Dadachanji
Modified: 2013-02-26 23:44 UTC (History)
2 users (show)

Fixed In Version: jboss-marshalling-1.3.9-2.fc17
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-02-28 10:51:37 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch to change required java-devel version to 6 or above (1.14 KB, patch)
2012-02-22 22:59 UTC, Danesh Dadachanji
no flags Details | Diff

Description Danesh Dadachanji 2012-02-22 22:59:58 UTC
Created attachment 565133 [details]
Patch to change required java-devel version to 6 or above

With F17 running OpenJDK7 as the default java environment, OpenJDK6 may be
going away. This package's dependency will break as a result of this.

The attached patch requires anything from 6 or above and builds correctly with
whichever OpenJDK it finds.

Here's more information on rebuilding other packages:
https://fedoraproject.org/wiki/Java7_Package_Rebuild_Status

Comment 1 Fedora Update System 2012-02-23 10:00:49 UTC
jboss-marshalling-1.3.9-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/jboss-marshalling-1.3.9-1.fc17

Comment 2 Marek Goldmann 2012-02-23 10:01:45 UTC
Thanks, I pushed an update to fix this.

Comment 3 Fedora Update System 2012-02-23 19:55:13 UTC
jboss-marshalling-1.3.9-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/jboss-marshalling-1.3.9-2.fc17

Comment 4 Fedora Update System 2012-02-23 22:28:12 UTC
Package jboss-marshalling-1.3.9-2.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing jboss-marshalling-1.3.9-2.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-2254/jboss-marshalling-1.3.9-2.fc17
then log in and leave karma (feedback).

Comment 5 Fedora Update System 2012-02-28 10:51:37 UTC
jboss-marshalling-1.3.9-2.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.